Eclipse Platform Release 3.7

## org.eclipse.debug.core.commands
Interface IDebugCommandRequest

All Superinterfaces:
  IRequest

All Known Subinterfaces:
  IEnabledStateRequest

    public interface IDebugCommandRequest

extends IRequest

A request to execute a command on specific elements. A debug command request is passed to a `IDebugCommandHandler` when a command is invoked.

Clients that invoke command handlers may implement this interface.

Since:
  3.3

Method Summary
`Object[]` `getElements()` Returns the elements to execute a command on.

Methods inherited from interface org.eclipse.debug.core.IRequest
`cancel, done, getStatus, isCanceled, setStatus`

Method Detail

### getElements

    Object[] getElements()

  Returns the elements to execute a command on.

  Returns:
    elements to execute a command on

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.